#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 12. System Utilities

- Prev

  ModemManager-1.24.2

- Next

  Pax-20240817

- Up
- Home

# notification-daemon-3.20.0

## Introduction to Notification Daemon

The Notification Daemon package contains a daemon that displays passive pop-up notifications.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/notification-daemon/3.20/notification-daemon-3.20.0.tar.xz

- Download MD5 sum: 2de7f4075352831f1d98d8851b642124

- Download size: 336 KB

- Estimated disk space required: 4.1 MB

- Estimated build time: less than 0.1 SBU

### Notification Daemon Dependencies

#### Required

GTK-3.24.52 and libcanberra-0.30 (Built with GTK-3.24.52 support).

## Installation of Notification Daemon

Install Notification Daemon by running the following commands:

    ./configure --prefix=/usr     \
                --sysconfdir=/etc \
                --disable-static  &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

You can test the notification daemon with the command notify-send:

    pgrep -l notification-da &&
    notify-send -i info Information "Hi ${USER}, This is a Test"

The command pgrep -l notification-da is added to assure that it is the daemon of this package that is running, not another one, e.g. the daemon from xfce4-notifyd-0.9.7.

## Contents

Installed Program: none
Installed Libraries: none
Installed Directory: none

- Prev

  ModemManager-1.24.2

- Next

  Pax-20240817

- Up
- Home